Page 8 of 8 FirstFirst ... 678
Results 71 to 78 of 78

Thread: GB Enhanced

  1. #71
    Dcemu.co.uk guy LyonHrt's Avatar
    Join Date
    Dec 2001
    Location
    swansea, wales
    Posts
    304
    Mentioned
    4 Post(s)
    yeah it was trial and error on my approach, (i went over that pdf so many times!) And its fine, though i can see some put off by it, (and so many times the emulator has crashed!) But its slow but moving forward all the time!

    And the demand i think is there, i'd love to see many systems get the same treatment (hmm neogeo? genesis.....list goes on! ) and yep to my count since you started this topic you've had 68,023 views! And for a nes pack i did nearly 2 years ago thats had 26,951 views
    https://twitter.com/thejoypad for news posts from emulation64, and my own personal projects. Follow me!

  2. #72
    EmuTalk Member
    Join Date
    Mar 2014
    Location
    Chicago, IL
    Posts
    164
    Mentioned
    27 Post(s)
    Version 1.1 has been tagged on GitHub. Unfortunately, my Windows machine hates me, refuses to compile anything, so I can't provide a binary. If anyone else can get GBE+ compiled on Windows, let me know; I need a better setup. 1.1 runs perfectly fine on Linux.



    Here's a Progress Report for all the work that's been done so far -> https://shonumi.github.io/articles/art4.html

  3. #73
    Dcemu.co.uk guy LyonHrt's Avatar
    Join Date
    Dec 2001
    Location
    swansea, wales
    Posts
    304
    Mentioned
    4 Post(s)
    Nicely done, saw your post on Reddit, is the Linux build available to download? and my windows is kinda compromised as well so won't attempt seeing if I can compile it right now
    https://twitter.com/thejoypad for news posts from emulation64, and my own personal projects. Follow me!

  4. #74
    EmuTalk Member
    Join Date
    Mar 2014
    Location
    Chicago, IL
    Posts
    164
    Mentioned
    27 Post(s)
    No binaries for Linux, but that's the environment I use for everyday development. It should compile fine if you have CMake, SDL2, SDL2_net (optional) and Qt4 or Qt5 (also optional). I always make sure every commit at least compiles on my end, though I need to update my OS soon (Slackware).

  5. #75
    Dcemu.co.uk guy LyonHrt's Avatar
    Join Date
    Dec 2001
    Location
    swansea, wales
    Posts
    304
    Mentioned
    4 Post(s)
    Quote Originally Posted by Shonumi View Post
    No binaries for Linux, but that's the environment I use for everyday development. It should compile fine if you have CMake, SDL2, SDL2_net (optional) and Qt4 or Qt5 (also optional). I always make sure every commit at least compiles on my end, though I need to update my OS soon (Slackware).
    Well finally fixed my little issue with windows (deleting and reinstalling can sometimes be the quicker option!) I'll try compiling later today hopefully I'll have time. Otherwise later this week, and I'll upload the build here.
    https://twitter.com/thejoypad for news posts from emulation64, and my own personal projects. Follow me!

  6. #76
    Dcemu.co.uk guy LyonHrt's Avatar
    Join Date
    Dec 2001
    Location
    swansea, wales
    Posts
    304
    Mentioned
    4 Post(s)
    What issues are you having compiling, have to admit, i seem to get stuck at 73% when compiling it so not sure if i'm missing something here or its the same issues with mingw
    https://twitter.com/thejoypad for news posts from emulation64, and my own personal projects. Follow me!

  7. #77
    EmuTalk Member
    Join Date
    Mar 2014
    Location
    Chicago, IL
    Posts
    164
    Mentioned
    27 Post(s)
    I narrowed down the issue to OpenGL on Windows. Apparently opengl32.dll only supports 1.1; if you want to use something higher (GBE+ uses 3.3) you need to use your graphics driver or something. To do that from C++, something like GLEW needs to be used. One Linux, this step is completely unnecessary because linking to OpenGL libraries will always give you whatever your display drivers.

    There are still some Qt5 related errors that I had to offer a patch for with 1.0. Qt stuff works fine with Qt4, though eventually I'll drop Qt4 support.

  8. #78
    Dcemu.co.uk guy LyonHrt's Avatar
    Join Date
    Dec 2001
    Location
    swansea, wales
    Posts
    304
    Mentioned
    4 Post(s)
    Ahh thanks I think it might of been qt5 error and I'll try with that and I'll look into the OpenGL as I'm sure that's where it failed for me, if I get any luck I'll post the binary here
    https://twitter.com/thejoypad for news posts from emulation64, and my own personal projects. Follow me!

Page 8 of 8 FirstFirst ... 678

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •